Bug 110701 - GUI=no gives graphical error dialog and wrong exit code
GUI=no gives graphical error dialog and wrong exit code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 13:05 EST by Michael Schwendt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.90-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 01:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2003-11-23 13:05:03 EST
Userhelper variable assignment GUI=no disables pipe conversation in
userhelper and causes it to display a graphical error dialog for the
wrapped application's exit code.

Test-case:

# cat /etc/pam.d/test1
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_stack.so service=system-auth
session    required     pam_permit.so
account    required     pam_permit.so

# cat /etc/security/console.apps/test1
USER=root
PROGRAM=/tmp/test1
GUI=no

# cat /tmp/test1 
#!/bin/sh
echo "Hello World!"
exit 2

# ln -s /usr/bin/consolehelper /usr/bin/test1
# chmod 755 /tmp/test1

[...]

Run above test-case in an X terminal. It gives the following

  $ test1
  You are attempting to run "test1" which requires administrative
  privileges, but more information is needed in order to do so.
  Password for root: 
  Hello World!

and then opens a graphical error dialog (see attachment). The error
message is due to userhelper not using pipe conversation (like in
default mode) to distinguish userhelper's exit code from the wrapped
application's exit code. When the exit code in /tmp/test1 is changed,
the error dialog matches the description at the bottom of "man
userhelper".

GUI=no should not display a graphical dialog at all and should be able
to distinguish userhelper's exit code from wrapped application's exit
code.


Version-Release number of selected component (if applicable):
usermode-1.69-1

How reproducible:
Always
Comment 1 Matthew Miller 2006-07-11 13:33:15 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 Michael Schwendt 2006-07-11 14:59:36 EDT
Still reproducible (with FC5).

Also affects e.g. "/usr/bin/hddtemp" from Fedora Extras.
Comment 3 Miloslav Trmač 2007-03-14 01:47:18 EDT
Fixed in rawhide usermode-1.90-1.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.